# $Revision: 1.9 $, $Date: 2008-02-11 18:22:15 $
Summary:	Print RPM dump of specfile
Name:		rpm-specdump
Version:	0.3
Release:	1
License:	GPL
Group:		Applications/System
Source0:	%{name}.c
BuildRequires:	rpm-devel
%requires_eq	rpm-lib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Print RPM dump of specfile.

%prep
%setup -q -c -T
ln -s %{SOURCE0} rpm-specdump.c

cat <<'EOF' > Makefile
rpm-specdump: rpm-specdump.o
	%{__cc} %{rpmldflags} $< -o $@ -lrpm -lrpmbuild

rpm-specdump.o: rpm-specdump.c
	%{__cc} %{rpmcflags} -Wall -W -I/usr/include/rpm -Wall -c $< -o $@
EOF

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install %{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rpm-specdump

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rpm-specdump.spec,v $
Revision 1.9  2008-02-11 18:22:15  glen
- v0.3: output _target_cpu

Revision 1.8  2008-02-09 11:25:20  glen
- rel 2 (1 for ac)

Revision 1.7  2008-02-09 11:24:58  glen
- v0.2 for rpm 4.4.9

Revision 1.6  2008-01-27 01:26:07  glen
- rel 4

Revision 1.5  2008-01-27 01:25:48  glen
- require runtime same rpm we were compiled with; rel 3

Revision 1.4  2008-01-23 19:03:44  glen
- rel 2

Revision 1.3  2008-01-23 18:40:30  glen
- LDFLAGS before libs, libs after objects; fixes as-needed (from rpm-getdeps.spec by qboosh)

Revision 1.2  2008-01-23 10:51:13  glen
- symlink to leave file mods in place

Revision 1.1  2008-01-23 08:26:14  glen
- based on rpm-getdeps.spec
